LIBRSB-CONFIG(1)

NAME
librsb-config - provide configuration information for librsb

SYNOPSIS
librsb-config [OPTION] ...

DESCRIPTION
Known values for OPTION are:

--prefix
    print librsb prefix

--libdir
    print path to directory containing library

--libs
    print library linking information

--extra_libs
    print extra linking information (e.g.: dependency libs)

--ccopts
    print compiler options (no-op)

--cc
    print C compiler

--fc
    print Fortran compiler

--cxx
    print C++ compiler

--cppflags
    print C pre-processor flags (no-op)

--cflags
    print preprocessor flags, I_opts, and compiler options

--cxxflags
    print preprocessor flags, I_opts, and C++ compiler options

--fcflags
    print Fortran compilation and preprocessor flags

--I_opts
    print "-I" include options

--L_opts
    print linker "-L" flags for dynamic linking

--R_opts
    print dynamic linker "-R" or "-rpath" flags

--ldopts
    print linker options (no-op)

--link
    print suggested linker command

--ldflags
    print linker flags (ldopts, L_opts, R_opts, and libs)

--fclibs
    print build-time detected fortran libs

--static
    revise subsequent outputs for static linking

--help
    print this help and exit

--version
    print version information